Subject: Re: How to grow Starfruit?

From: [email-masked] (Paddo)
Date: 5 Jun 1995 07:46:18 GMT

In article <[email-masked]>, [email-masked] says...
>
>[email-masked] (Alexis Belinda Dinno) wrote:
>>
>> 
>> Hey these things are yummy indeed.  I saved the seeds from some 
>> organically grown starfruit, but haven't been able to get them to sprout 
>> or anything.  What kind of plant to they grow on and what kind of 
climate 
>> do they generally require?
>> 
>> 
>> Thank you so much!!
>> 
They are a tropical plant, grown in Australia frm the Sunshine Coast, north 
to Darwin.

The tree/shrub is kept to three metres in commercial orchards.

Ive seen larger tree in homes.  I've never been able to get the seed to 
sprout, perhaps your dept. of agriculture or the dept of Ag in Florida or 
Texas might help.

Some Australian growers are processing the excess fruit into a delicious 
thirst quencher.

ciao